# Created by pyp2rpm-3.0.0
%global pypi_name virtualenv-api
%global underscore_name virtualenv_api

# test suite is disabled default for koji builds,
# because the tests require internet connection.
%global run_test_suite 0

Name:           python-%{pypi_name}
Version:        2.1.16
Release:        1%{?dist}
Summary:        An API for virtualenv/pip

License:        BSD
URL:            https://github.com/sjkingo/virtualenv-api
Source0:        %{pypi_name}-%{version}.tar.gz

# Add tests and LICENSE missing in sources
Patch0:         add_tests_license.patch

BuildArch:      noarch

BuildRequires:  python-setuptools
BuildRequires:  python2-devel
BuildRequires:  python-virtualenv
BuildRequires:  python-six
BuildRequires:  python-pip
BuildRequires:  git-all

Requires:       python-six
Requires:       python-virtualenv
Requires:       python-pip

%description
virtualenv-api - an API for virtualenv
Tool to create isolated Python environments. Unfortunately, 
it does not expose a native Python API. This package aims to 
provide an API in the form of a wrapper around virtualenv.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py2_build

%install
%py2_install

%if 0%{run_test_suite}
%check
%{__python2} tests.py
%endif # run_test_suite

%files
%license LICENSE
%doc README.rst
%{python2_sitelib}/virtualenvapi
%{python2_sitelib}/%{underscore_name}-%{version}-py?.?.egg-info

%changelog
* Mon Mar 20 2017 Michal Cyprian <mcyprian@redhat.com> - 2.1.16-1
- Initial package for EPEL 7.
